Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(161)

Issue 849047: add packet-info-tag.cc for IP_PKTINFO/IPV6_PKTINFO (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 years, 9 months ago by Hajime Tazaki
Modified:
11 years, 6 months ago
CC:
ns-3-reviews_googlegroups.com, tomh_tomh.org
Visibility:
Public.

Description

This changeset is created against ns-3-dev, revision 6168. The patch aims to support new Tag class "PacketInfoTag", which carries received interface index, destination address and so on, which is defined RFC3542 for IPv6. It will be used for quagga support in ns-3 in the future.

Patch Set 1 #

Total comments: 3

Patch Set 2 : Update patchset with Tom's comments #

Total comments: 15

Patch Set 3 : Update with Tom's 2nd comments #

Patch Set 4 : Avoiding increased maximum packet tag size #

Patch Set 5 : Refine Ipv4EndPoint and Ipv4L4Protocol #

Patch Set 6 : Remove redundant ipv4-src/dst args #

Unified diffs Side-by-side diffs Delta from patch set Stats (+893 lines, -65 lines) Patch
M src/internet-stack/icmpv4-l4-protocol.h View 5 1 chunk +1 line, -2 lines 0 comments Download
M src/internet-stack/icmpv4-l4-protocol.cc View 5 1 chunk +5 lines, -6 lines 0 comments Download
M src/internet-stack/ipv4-end-point.h View 2 3 4 5 4 chunks +8 lines, -4 lines 0 comments Download
M src/internet-stack/ipv4-end-point.cc View 2 3 4 5 2 chunks +8 lines, -5 lines 0 comments Download
M src/internet-stack/ipv4-l3-protocol.cc View 1 5 2 chunks +2 lines, -2 lines 0 comments Download
M src/internet-stack/ipv4-l4-protocol.h View 5 1 chunk +2 lines, -2 lines 0 comments Download
M src/internet-stack/ipv4-raw-socket-impl.h View 5 2 chunks +2 lines, -1 line 0 comments Download
M src/internet-stack/ipv4-raw-socket-impl.cc View 2 3 4 5 3 chunks +11 lines, -2 lines 0 comments Download
M src/internet-stack/ipv4-raw-test.cc View 1 chunk +1 line, -1 line 0 comments Download
M src/internet-stack/ipv6-raw-socket-impl.cc View 2 chunks +10 lines, -0 lines 0 comments Download
M src/internet-stack/nsc-tcp-l4-protocol.h View 1 chunk +1 line, -2 lines 0 comments Download
M src/internet-stack/nsc-tcp-l4-protocol.cc View 3 chunks +5 lines, -6 lines 0 comments Download
M src/internet-stack/nsc-tcp-socket-impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M src/internet-stack/nsc-tcp-socket-impl.cc View 1 chunk +2 lines, -1 line 0 comments Download
M src/internet-stack/tcp-l4-protocol.h View 5 1 chunk +2 lines, -2 lines 0 comments Download
M src/internet-stack/tcp-l4-protocol.cc View 2 3 4 5 4 chunks +10 lines, -10 lines 0 comments Download
M src/internet-stack/tcp-socket-impl.h View 2 3 4 5 2 chunks +4 lines, -1 line 0 comments Download
M src/internet-stack/tcp-socket-impl.cc View 2 3 4 5 2 chunks +5 lines, -4 lines 0 comments Download
M src/internet-stack/udp-l4-protocol.h View 5 1 chunk +2 lines, -2 lines 0 comments Download
M src/internet-stack/udp-l4-protocol.cc View 2 3 4 5 3 chunks +7 lines, -7 lines 0 comments Download
M src/internet-stack/udp-socket-impl.h View 2 3 4 5 2 chunks +3 lines, -1 line 0 comments Download
M src/internet-stack/udp-socket-impl.cc View 2 3 4 5 2 chunks +15 lines, -3 lines 0 comments Download
A src/node/ipv4-packet-info-tag.h View 1 chunk +89 lines, -0 lines 0 comments Download
A src/node/ipv4-packet-info-tag.cc View 1 chunk +284 lines, -0 lines 0 comments Download
A src/node/ipv6-packet-info-tag.h View 1 chunk +94 lines, -0 lines 0 comments Download
A src/node/ipv6-packet-info-tag.cc View 1 chunk +294 lines, -0 lines 0 comments Download
M src/node/socket.h View 2 2 chunks +12 lines, -0 lines 0 comments Download
M src/node/socket.cc View 2 chunks +8 lines, -0 lines 0 comments Download
M src/node/wscript View 1 2 chunks +4 lines, -0 lines 0 comments Download

Messages

Total messages: 18
Hajime Tazaki
Hi, (Tom?) Please review new changset to support IP_PKTINFO/IPV6_PKTINFO option. It carries the packet information ...
11 years, 9 months ago (2010-04-02 17:14:24 UTC) #1
Mathieu Lacage
this code looks good to me. tom, josh, is this ns-3-dev material or are we ...
11 years, 9 months ago (2010-04-07 14:53:09 UTC) #2
Mathieu Lacage
http://codereview.appspot.com/849047/diff/1/4 File src/internet-stack/wscript (right): http://codereview.appspot.com/849047/diff/1/4#newcode137 src/internet-stack/wscript:137: 'ipv6-interface.h', I have pushed this trivial change since we ...
11 years, 9 months ago (2010-04-07 14:56:24 UTC) #3
Josh Pelkey
Too late for all but bug fixes. Sorry! This can go in very early ns-3-dev ...
11 years, 9 months ago (2010-04-07 14:57:16 UTC) #4
Mathieu Lacage
On Wed, Apr 7, 2010 at 4:57 PM, <joshpelkey@gmail.com> wrote: > Too late for all ...
11 years, 9 months ago (2010-04-07 15:05:01 UTC) #5
Hajime Tazaki
http://codereview.appspot.com/849047/diff/1/4 File src/internet-stack/wscript (right): http://codereview.appspot.com/849047/diff/1/4#newcode143 src/internet-stack/wscript:143: 'ipv4-raw-socket-impl.h', On 2010/04/07 14:56:24, Mathieu Lacage wrote: > hajime, ...
11 years, 9 months ago (2010-04-07 15:38:40 UTC) #6
Mathieu Lacage
On Wed, Apr 7, 2010 at 5:38 PM, <thehajime@gmail.com> wrote: > > http://codereview.appspot.com/849047/diff/1/4 > File ...
11 years, 9 months ago (2010-04-07 15:41:15 UTC) #7
Hajime Tazaki
At Wed, 7 Apr 2010 17:41:12 +0200, Mathieu Lacage wrote: > >On Wed, Apr 7, ...
11 years, 9 months ago (2010-04-07 15:52:29 UTC) #8
Tom Henderson
I have a few comments/questions about this patch. 1) the implementation of PacketInfoTag seems incomplete; ...
11 years, 8 months ago (2010-05-05 14:01:48 UTC) #9
Hajime Tazaki
Thanks, Tom. I have added Patchset 2 according to your comments. On 2010/05/05 14:01:48, Tom ...
11 years, 8 months ago (2010-05-24 15:31:34 UTC) #10
Tom Henderson
> > 3) the behavior is undefined for connected sockets, but you are adding to ...
11 years, 7 months ago (2010-06-03 05:57:08 UTC) #11
Hajime Tazaki
On 2010/06/03 05:57:08, Tom Henderson wrote: > > > 3) the behavior is undefined for ...
11 years, 7 months ago (2010-06-03 21:35:43 UTC) #12
Tom Henderson
Regarding whether to change the API of Ipv4Endpoint, the main problem that I see is ...
11 years, 7 months ago (2010-06-20 19:06:47 UTC) #13
Hajime Tazaki
Thanks, Tom, Mathieu. I've updated according to your comments. Mathieu, I have one inquiry for ...
11 years, 7 months ago (2010-06-21 06:23:40 UTC) #14
Hajime Tazaki
On 2010/06/21 06:23:40, Hajime Tazaki wrote: > Thanks, Tom, Mathieu. > > I've updated according ...
11 years, 6 months ago (2010-06-28 14:10:44 UTC) #15
Tom Henderson
It seems to me that the internal API change will be unavoidable to correctly implement ...
11 years, 6 months ago (2010-07-07 14:19:54 UTC) #16
Hajime Tazaki
Patch set 5 include the following modification as Tom suggested. On 2010/07/07 14:19:54, Tom Henderson ...
11 years, 6 months ago (2010-07-08 15:36:27 UTC) #17
Hajime Tazaki
11 years, 6 months ago (2010-07-13 04:30:34 UTC) #18
Merged as changeset 6442.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b